## org.eclipse.emf.query.conditions
Class ObjectInstanceCondition

    java.lang.Object
      org.eclipse.emf.query.conditions.Condition
          org.eclipse.emf.query.conditions.ObjectInstanceCondition

    public class ObjectInstanceCondition

extends Condition

A `Condition` that tests whether the argument object instance equals a given object.

To look for `null` values in scalar `EAttribute`s, use the special `IS_NULL` shared condition instance. Simply initializing an `ObjectInstanceCondition` with `null` will not work.

Field Summary
`static ObjectInstanceCondition` `IS_NULL` A special object-instance condition checking that a value is `null`.

Fields inherited from class org.eclipse.emf.query.conditions.Condition
`FALSE, TRUE`

Constructor Summary
`ObjectInstanceCondition(Object object)` A simple constructor.

Method Summary
`protected Object` `getObject()` A getter function for the `Object` instance used by this `ObjectInstanceCondition`
`boolean` `isSatisfied(Object obj)` Tests whether the argument `Object` instance equals this `ObjectInstanceCondition`'s own `Object` instance.

Methods inherited from class org.eclipse.emf.query.conditions.Condition
`AND, EQUIVALENT, IMPLIES, OR, XOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IS_NULL

    public static final ObjectInstanceCondition IS_NULL

  A special object-instance condition checking that a value is `null`.

  Since:
    1.1

Constructor Detail

### ObjectInstanceCondition

    public ObjectInstanceCondition(Object object)

  A simple constructor. Initializes the object instance to use for equality tests

  Parameters:
    `object` - The given object instance to test equality for

Method Detail

### isSatisfied

    public boolean isSatisfied(Object obj)

  Tests whether the argument `Object` instance equals this `ObjectInstanceCondition`'s own `Object` instance.

  Specified by:
    `isSatisfied` in class `Condition`
  Parameters:
    `obj` - an Object to check if it satisfies this `Condition`
  Returns:
    `true` if the argument Object satisfies this `Condition`,`false` otherwise.
  See Also:
    `Condition.isSatisfied(java.lang.Object)`

### getObject

    protected final Object getObject()

  A getter function for the `Object` instance used by this `ObjectInstanceCondition`

  Returns:
    `Object` the given object instance which we test equality for

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.